routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
 */

/* WEB */

Route::get('/', 'Web\WebController@index')->name('/');
Route::get('institucional', 'Web\WebController@institucional')->name('institucional');
Route::get('historia', 'Web\WebController@historia')->name('historia');
Route::get('mision', 'Web\WebController@mision')->name('mision');
Route::get('consejos', 'Web\WebController@consejos')->name('consejos');
Route::get('requisitos', 'Web\WebController@requisitos')->name('requisitos');
Route::get('contacto', 'Web\WebController@contacto')->name('contacto');
Route::get('comunicado', 'Web\WebController@comunicados')->name('comunicados');
Route::get('detallecomunicado/{id}', 'Web\WebController@detallecomunicado')->name('detallecomunicado');
Route::post('contactos', 'EmailController@store')->name('contacto-mensaje');
Route::get('evento', 'Web\WebController@eventos')->name('eventos');
Route::get('detalleevento/{id}', 'Web\WebController@detalleevento')->name('detalleevento');
Route::get('tramite', 'Web\WebController@tramites')->name('tramites');
Route::get('detalletramite/{id}', 'Web\WebController@detalletramites')->name('detalletramite');
/* SISTEMA */
Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('sliders', 'Admin\SlidersController');
Route::resource('eventos', 'Admin\EventosController');
Route::resource('clientes', 'Admin\ClientesController');
Route::post('importarExcel', 'Admin\ClientesController@importarExcel')->name('importarExcel');
Route::resource('comunicados', 'Admin\ComunicadosController');
Route::resource('tramites', 'Admin\TramitesController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('excel', 'ExcelController');

Route::get('nombres', 'Web\WebController@buscador')->name('paginas');
Route::get('nombres/buscador', 'Web\WebController@buscador')->name('buscador');

app/Models/Tramites.php
<?php

namespace App\Models;
use App\DatesTranslate;
use Illuminate\Database\Eloquent\Model;

class Tramites extends Model
{
	use DatesTranslate;
	protected $table = "tramites";

    protected $fillable = [
        'img',
        'img_portada',
        'nombre',
        'descripcion',
    ];
}

app/Http/Controllers/Admin/TramitesController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Tramites;
use App\Http\Requests\TramitesRequest;
use DB;

class TramitesController extends Controller
{
    public function index()
    {
        $tramites = Tramites::orderBy('id', 'desc')->get();
        return view('admin.pages.tramites.index')->with(compact('tramites'));
    }

    public function create()
    {
        return view('admin.pages.tramites.create');
    }
    public function store(TramitesRequest $request)
    {

        try {
            $tramites              = new Tramites();
            $tramites->nombre      = $request->nombre;
            $tramites->descripcion = $request->descripcion;
            if ($request->file('image')) {
                $file = $request->file('image');
                $name = 'tramites_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/tramites/';
                $file->move($path, $name);
                $tramites->img = $name;
            }
            if ($request->file('imagenew')) {
                $file = $request->file('imagenew');
                $name = 'tramites_portada_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/tramites/';
                $file->move($path, $name);
                $tramites->img_portada = $name;
            }
            //$slider->name = $request->name;

            $tramites->save();
            DB::commit();
            return redirect()->route('tramites.index')->with('flash', 'El Tramite se ha creado correctamente');
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }

    }

    public function edit($id)
    {
        $tramites = Tramites::findOrFail($id);
        return view('admin.pages.tramites.edit')->with(compact('tramites'));
    }

    public function update(TramitesRequest $request, $id)
    {
        try {
            DB::beginTransaction();
            $tramite              = Tramites::findOrFail($id);
            $tramite->nombre      = $request->nombre;
            $tramite->descripcion = $request->descripcion;

            $pathToYourFile = public_path() . '/admin/images/tramites/' . $tramite->img;

            if ($request->file('image')) {

                if (file_exists($pathToYourFile)) {
                    unlink($pathToYourFile);
                }

                $file = $request->file('image');
                $name = 'tramites_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/tramites/';
                $file->move($path, $name);

                $tramite->img = $name;
            }
            $pathToYourFile = public_path() . '/admin/images/tramites/' . $tramite->img_portada;
            if ($request->file('imagenew')) {

                if (file_exists($pathToYourFile)) {
                    unlink($pathToYourFile);
                }

                $file = $request->file('imagenew');
                $name = 'tramites_portada_' . time() . '.' . $file->getClientOriginalExtension();
                $path = public_path() . '/admin/images/tramites/';
                $file->move($path, $name);

                $tramite->img_portada = $name;
            }

            $tramite->save();

            DB::commit();
            return redirect()->route('tramites.index')->with('flash', 'El Tramite se ha actualizado correctamente');
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }
    public function show($id)
    {
        //
    }
    public function destroy($id)
    {
        //
        try {
            DB::beginTransaction();
            $tramite         = Tramites::findOrFail($id);
            $pathToYourFile = public_path() . '/admin/images/tramites/' . $tramite->img;
            if (file_exists($pathToYourFile)) {
                unlink($pathToYourFile);
            }
            $tramite->delete();
            DB::commit();
            return redirect()->back()->with('flash', 'El tramite se ha eliminado correctamente');;
        } catch (\Exception $e) {
            DB::rollBack();
            return redirect()->back();
        }
    }
}

resources/views/admin/pages/tramites/create.blade.php
@extends('home')
@section('header-editar')
<script src="//cdn.ckeditor.com/4.11.4/full/ckeditor.js"></script>
@endsection
@section('styles')

    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">

@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Crear</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
    <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Subir Tramite</h2>
                </div>
                <hr>
                <div class="body">
                    @include('error')
                  <form   method="POST" action="{{route('tramites.store')}}" enctype="multipart/form-data" >
                  {{ csrf_field() }}

                    <div class="form-group">
                        <div class="row clearfix">
                            <div class="col-md-6">
                                <label for="">Titulo</label>
                                <input type="text" class="form-control" name="nombre" placeholder="Titulo" require>
                            </div>
                            <div class="col-md-6">
                            <label for="">Descripcion</label>
                                <input type="text" class="form-control" name="descripcion" placeholder="descripcion" require>
                            </div>
                        </div>
                    </div>
                   
                    <div class="form-group">


                            <label for="image">Imagen<strong>(resolucion 1125 x 1599)</strong></label>
                            <input type="file" name="image" class="form-control" value="{{ old('image') }}" required>



                    </div>
                    <div class="form-group">


                            <label for="image">Imagen Portada<strong>(resolucion 740 x 556)</strong></label>
                            <input type="file" name="imagenew" class="form-control" value="{{ old('imagenew') }}" required>



                    </div>
                            <button type="submit" class="btn btn-verde" >Subir</button>
                            <a href="{{ route('tramites.index') }}" class="btn btn-verde">Cancelar</button></a>


                  </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script >
        CKEDITOR.replace('content');
    </script>

@endsection

resources/views/admin/pages/tramites/edit.blade.php
@extends('home')
@section('styles')
    <link rel="stylesheet" href="{{ asset('admin/vendor/dropify/css/dropify.min.css')}}"/>
    <link rel="stylesheet" href="{{ asset('admin/vendor/summernote/dist/summernote.css')}}"/>
@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">Editar</li>
                </ul>
            </div>

        </div>
    </div>

@endsection

@section('content')
 <div class="row clearfix">
        <div class="col-md-12">
            <div class="card">
                <div class="header">
                    <h2>Editar Tramites</h2>
                </div>
                <hr>
                <div class="body">
                    @include('error')
<form   action="{{route('tramites.update', $tramites->id)}}" method="POST" enctype="multipart/form-data">
                        {{ csrf_field() }}
                        {{ method_field('PUT')}}
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-6">
                                    <label for="">Titulo</label>
                                    <input type="text" class="form-control" name="nombre" value="{{$tramites->nombre}}" placeholder="titulo" require>
                                </div>
                                <div class="col-md-6">
                                <label for="">Descripcion</label>
                                    <input type="text" class="form-control" name="descripcion" value="{{$tramites->descripcion}}" placeholder="Descripcion" require>
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-12">
                                <label for="">Imagen : (resolucion 1125 x 1599)</label>
                                <br>
                                    <img  src="{{ asset('admin/images/tramites/'.$tramites->img) }}" width="100">
                                    <input type="file" name="image" class="form-control">

                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row clearfix">
                                <div class="col-md-12">
                                <label for="">Imagen Portada : (resolucion 740 x 556)</label>
                                <br>
                                    <img  src="{{ asset('admin/images/tramites/'.$tramites->img_portada) }}" width="100">
                                    <input type="file" name="imagenew" class="form-control">

                                </div>
                            </div>
                        </div>
                                <button type="submit" class="btn btn-verde" >Guardar</button>
                                <a href="{{ route('tramites.index') }}" class="btn btn-verde">Cancelar</button></a>


                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('scripts')
    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>
    <script src="{{asset('admin/vendor/summernote/dist/summernote.js')}}"></script>
@endsection

resources/views/admin/pages/tramites/index.blade.php
@extends('home')
@section('styles')
    <link href="{{asset('admin/dataTables.bootstrap4.css')}}" rel="stylesheet" type="text/css">
    <link href="{{asset('admin/responsive.bootstrap4.css')}}" rel="stylesheet" type="text/css">
@endsection
@section('titulo')
    <div class="block-header">
        <div class="row">
            <div class="col-lg-5 col-md-8 col-sm-12">
                <h2><a href="javascript:void(0);" class="btn btn-xs btn-link btn-toggle-fullwidth"><i
                                class="fa fa-arrow-left"></i></a> Home</h2>
                <ul class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{route('home')}}"><i class="icon-home"></i></a></li>
                    <li class="breadcrumb-item">Home</li>
                    <li class="breadcrumb-item active">tramites</li>
                </ul>
            </div>

        </div>
    </div>
@endsection
@section('content')
<div class="row clearfix">
    <div class="col-lg-12">
        <div class="card">
            <div class="header">
                @include('alerts')
                <h2 style="width: 70%;float: left;">Listado de Tramites </h2>
                <a href="{{route('tramites.create')}}" class="btn btn-verde" style="float: right;">
                <span> Registrar</span></a>
            </div>

            <div class="body">
                <div class="table-responsive">
                    <table id="basic-datatable" class="table table-striped nowrap">
                        <thead>
                            <tr>
                                <th>N°</th>
                                <th>Titulo</th>
                                <th>Descripción</th>
                                <th>imagen</th>
                                <th>Opciones</th>

                            </tr>
                            <tbody>
                                @foreach ($tramites as $key => $tramite)
                                    <tr>
                                        <td>{{ $key+1 }}</td>
                                        <td>{{ $tramite->nombre }}</td>
                                        <td>{{ $tramite->descripcion}}</td>
                                        <td><img  src="{{ asset('admin/images/tramites/'.$tramite->img) }}" width="100"></td>
                                        <td class="text-nowrap">

                                        <form method="POST"  action="{{route('tramites.destroy',$tramite->id)}}" >
                                            <a href="{{route('tramites.edit',$tramite->id)}}" class="btn btn-info" title="Editar"><i class="fa fa-edit"></i></a>&nbsp;
                                            {{ csrf_field() }}
                                            {{ method_field('DELETE') }}

                                                <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Estas seguro de eliminar el slider')"> <i class="fa fa-trash-o"></i></button>

                                             </form>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

    <script src="{{asset('admin/vendor/dropify/js/dropify.min.js')}}"></script>
    <script src="{{asset('admin/js/pages/forms/dropify.js')}}"></script>

@endsection